org.firebirdsql.gds.ng.wire

## Class InlineBlobResponse

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.InlineBlobResponse

All Implemented Interfaces:
  Response

    public final class InlineBlobResponse
    extends java.lang.Object
    implements Response

Response instance for an inline blob (`op_inline_blob`) response.

Since:
  5.0.8
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`InlineBlobResponse(int transactionHandle, long blobId, byte[] info, byte[] data)` Creates an inline blob response.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `blobId()`
`byte[]` `data()`
`byte[]` `info()`
`InlineBlob` `toInlineBlob(FbWireDatabase database)`
`int` `transactionHandle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InlineBlobResponse

    public InlineBlobResponse(int transactionHandle,
                              long blobId,
                              byte[] info,
                              byte[] data)

Creates an inline blob response.

Parameters:
  `transactionHandle` - transaction handle the inline blob is valid for
  `blobId` - blob id
  `info` - byte array with blob info
  `data` - byte array with blob data (without segments)

### Method Detail

#### transactionHandle

    public int transactionHandle()

#### blobId

    public long blobId()

#### info

    public byte[] info()

#### data

    public byte[] data()

#### toInlineBlob

    public InlineBlob toInlineBlob(FbWireDatabase database)